# -*- coding:utf-8 -*-

import csv
import ctypes


csv.field_size_limit(int(ctypes.c_ulong(-1).value // 2))


import logging
import gensim.similarities.docsim  # noqa: F401
import gensim.matutils  # noqa: F401
import gensim.utils  # noqa: F401


logging.getLogger('gensim.similarities.docsim').setLevel(logging.WARNING)
logging.getLogger('gensim.matutils').setLevel(logging.WARNING)
logging.getLogger('gensim.utils').setLevel(logging.WARNING)


CSV_PARAMETERS = {
    'delimiter': ',',
    'quotechar': '"',
    'quoting': csv.QUOTE_MINIMAL,
}

SQL_PARAMETERS = {
    'charset': 'utf8',
    'host': '127.0.0.1',
}

JSON_PARAMETERS = {
    'sort_keys': True,
    'indent': 4,
}

PREPROCESSED_IMAGE_WIDTH = 512
PREPROCESSED_IMAGE_HEIGHT = 512
ANNOY_N_TREES = 1000
